%global php_libname          fpdf
Name:      php-fpdf
Version:   1.6
Release:   1%{?dist}
License:   MIT
Summary:   PHP class to generate PDF Files 
Group:     Development/Libraries
#URL:      http://www.fpdf.org/en/dl.php?v=16&f=tgz
URL:       http://www.fpdf.org
Source:    fpdf16.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  php >= 4.2.0
BuildRequires:  dos2unix
BuildArch: noarch

%description
PDF is a PHP class which allows to generate PDF files with pure PHP, that is 
to say without using the PDFlib library. F from FPDF stands for Free: you may 
use it for any kind of usage and modify it to suit your needs.
%prep
%setup -qn fpdf16
dos2unix doc/*
dos2unix *.txt
chmod -x tutorial/*
chmod -x doc/*
chmod -x font/*.php 
chmod -x font/desktop.ini
chmod -x font/makefont/*.map 
chmod -x *.txt
chmod -x *.htm
chmod -x font/makefont/makefont.php
chmod -x fpdf.php
dos2unix tutorial/*
dos2unix fpdf.php
iconv -f iso8859-1 -t utf-8 tutorial/calligra.z > tutorial/calligra.z1 && mv -f tutorial/calligra.z1 tutorial/calligra.z
iconv -f iso8859-1 -t utf-8 tutorial/20k_c1.txt > tutorial/20k_c1 && mv -f tutorial/20k_c1 tutorial/20k_c1.txt

%build
%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_datadir}/php/%{php_libname}
cp -a font fpdf.php  %{buildroot}%{_datadir}/php/%{php_libname}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc FAQ.htm doc histo.htm install.txt license.txt tutorial
%{_datadir}/php/%{php_libname}

%changelog

* Thu Nov 26 2009 David Nalley <david@gnsa.us> 1.6-1
- Initial Packaging

